Constructor CmDataType.Load(var S : TStream);
begin
  S.Read(Fcm1, SizeOf(Fcm1));
  S.Read(Fcm2, SizeOf(Fcm2));
end;

Procedure CmDataType.Store(var S : TStream);
begin
  S.Write(Fcm1, SizeOf(Fcm1));
  S.Write(Fcm2, SizeOf(Fcm2));
end;
 Constructor MsaDataType.Load(var S : TStream);
  Begin
    S.Read(modl,SizeOf(Modl));
  End;
 Procedure MsaDataType.Store(var S : TStream);
  Begin
    S.Write(modl,SizeOf(Modl));
  End;
{------------------------------------------------}
Constructor TurDataType.Load(var S : TStream);
Begin
 S.Read(Pit_, SizeOf(Pit_));
 S.Read(F_t, SizeOf(F_t));
 S.Read(Fca, SizeOf(Fca));
End;

Procedure TurDataType.Store(Var S : TStream);
 Begin
  S.Write(Pit_, SizeOf(Pit_));
  S.Write(F_t, SizeOf(F_t));
  S.Write(Fca, SizeOf(Fca));
 End;
{------------------------------------------------}
Constructor BXODDataType.Load(var S : TStream);
Begin
 S.Read(F2, SizeOf(F2));
End;

Procedure BXODDataType.Store(Var S : TStream);
 Begin
  S.Write(F2, SizeOf(F2));
 End;
{------------------------------------------------}
Constructor KCDataType.Load(var S : TStream);
Begin
 S.Read(F2, SizeOf(F2));
 S.Read(F1, SizeOf(F1));
End;

Procedure KCDataType.Store(Var S : TStream);
 Begin
  S.Write(F2, SizeOf(F2));
  S.Write(F1, SizeOf(F1));
 End;
{------------------------------------------------}
Constructor PrmDataType.Load(var S : TStream);
Begin
 S.Read(Tau_s, SizeOf(Tau_s));
End;

Procedure PrmDataType.Store(Var S : TStream);
 Begin
  S.Write(Tau_s, SizeOf(Tau_s));
 End;
{------------------------------------------------}
